#!/usr/bin/python -tt
import os
import subprocess

import yaml

NAME_OF_SCRIPT_FILE = "./generated-script"

if __name__ == '__main__':
    name_of_python_module_inside_wheel = "fazer"
    data = yaml.safe_load(open("script.yml"))

    with open(NAME_OF_SCRIPT_FILE, "wb") as f:
        f.write(data[0]["script"])

    env = os.environ.copy()
    existing_pythonpath = env.get("PYTHONPATH")

    if existing_pythonpath:
        env["PYTHONPATH"] = "{}:{}".format(NAME_OF_SCRIPT_FILE, existing_pythonpath)
    else:
        env["PYTHONPATH"] = NAME_OF_SCRIPT_FILE

    subprocess.check_call(data[0]["interpreter"] + [NAME_OF_SCRIPT_FILE], env=env)

    # Another way to invoke this is like this:
    #   python generated-script/fazer
    # but this would require adding the name of the python module inside of the
    # wheel to the name of the script python executes.
